Skip to content
Skip to main content
PUT
/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events/{event_id}

Update a group event

Updates the specified group event.

When you make a PUT request, Nylas replaces all data in the nested object with the information included in your request. For more information, see Updating objects.

NYLAS API KEY

Parameters

Path parameters

grant_id*string

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_id*string

The ID of the Configuration object to access.

event_id*string

The ID of the group event to access.

Request body

Update a group event

calendar_idstring

The ID of the calendar to access.

Example: "primary"
capacityinteger

The maximum number of attendees allowed in the event.

Default: 10
Example: 50
min: 1max: 500
conferencingobject

An object that lets you automatically create a conference, or enter conferencing details manually.

descriptionstring

A brief description of the group event (for example, its agenda). Nylas might return the description as an HTML string, depending on how the provider formats it.

Example: "Come ready to talk philosophy today!"
locationstring

The location of the group event (for example, a physical address or the name of a meeting room).

Example: "New York Public Library, Cave Room"
maxLength: 255
participantsobject

A list of participants to be included in the group event.

titlestring

The name of the event.

Example: "Annual Philosophy Club Meeting"
maxLength: 1024
whenobject

An object representing the time and duration of the group event.

Responses

request_idstring

The request ID.

dataarray<object>
PUThttps://api.us.nylas.com/v3/grants/{grant_id}/scheduling/configurations/{configuration_id}/group-events/{event_id}

Find your API key in the Nylas Dashboard under API Keys in your application settings.

grant_idrequiredstring

The ID of the grant to access. Use /me/ to refer to the grant associated with an access token.

configuration_idrequiredstring

The ID of the Configuration object to access.

event_idrequiredstring

The ID of the group event to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.